/*
 * twclock:  A world clock implemented with Motif widgets
 * Copyright (C) 1997 Ted Williams WA0EIR (ted@bluestone.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge. MA 02139, USA.
 * See the COPYING file in this directory.
 *
 * Versions: 1.1 -  MAY 1997 
 */

/*
 * TWCLOCK MAIN 
 */

#include "twclock.h"

int main (int argc, char *argv[])
{

	struct tag1 packet;

   /*
    * Create clockShell and set its properties
    */
   clock_shell = XtVaAppInitialize ( &(packet.app), "Twclock",
      NULL, 0, &argc, argv, NULL, 
      XmNminHeight, 130,
      XmNminWidth, 130,
      XmNmaxHeight, 250,
      XmNmaxWidth, 250,
      XmNminAspectX, 1,
      XmNminAspectY, 1,
      XmNmaxAspectX, 1,
      XmNmaxAspectY, 1,
      XmNtitle, "TW Clock",
      XmNiconPixmap, "/usr/include/X11/bitmaps/twclock.xbm",
      NULL);

   /*
    * Build the rest of the widget tree
    */
   build_widgets(&packet);


   /*
    * Enter the event loop
    */
   XtRealizeWidget (clock_shell);
   XtAppMainLoop (packet.app);
   return (0);
}

